package kandata.launcher;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

/** 新しいサイトを登録します. */
class ExitAction extends AbstractAction {
	KandataLauncher launcher;
	ExitAction(KandataLauncher launcher) {
		super("アプリケーションの終了");
		putValue(SMALL_ICON, ApplicationResources.loadIcon("exit.png"));
		putValue(ACCELERATOR_KEY, KeyStroke.getKeyStroke(KeyEvent.VK_F4, Event.ALT_MASK));
		putValue(SHORT_DESCRIPTION, "アプリケーションの終了");
		this.launcher = launcher;
	}
	/** アクションが発生すると呼び出されます。 */
	public void actionPerformed(ActionEvent e) {
		launcher.exitApplication();
	}
}
